/*
 * timer.h -- header file for timer code
 * Author: Michael J Tubby    Date: 27-DEC-1994    Version: 01.00
 */

#ifndef _xtimer_H
#define _xtimer_H

#include <sys/types.h>

#define TIMER_STOPPED	0
#define TIMER_RUNNING	1
#define TIMER_EXPIRED	2

typedef struct {
	int state;
	int64_t start_value;
	int64_t expires_at;
} xtimer_t;

extern void xtimer_start(xtimer_t *, int64_t);
extern void xtimer_clear(xtimer_t *);
extern void xtimer_stop(xtimer_t *);
extern int xtimer_expired(xtimer_t *);
extern int xtimer_running(xtimer_t *);
extern int xtimer_stopped(xtimer_t *);
extern void xtimer_delay(int64_t);


#endif
